Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface JTAMBean

public interface JTAMBean
extends ConfigurationMBean

This interface provides access to the JTA configuration attributes. The methods defined herein are applicable for JTA configuration at the domain level.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getAbandonTimeoutSeconds()` Returns the transaction abandon timeout in seconds.
`int` | `getBeforeCompletionIterationLimit()` Returns the maximum number of iterations the transaction manager will perform the beforeCompletion synchronization callback.
`boolean` | `getForgetHeuristics()` Returns a boolean indicating whether the transaction manager will automatically perform an XAResource forget operation for transaction heuristic completions.
`int` | `getMaxTransactions()` Returns the maximum number of simultaneous in progress transactions allowed on a server.
`int` | `getMaxUniqueNameStatistics()` Returns the maximum number of unique transaction names for which statistics will be maintained.
`int` | `getTimeoutSeconds()` Returns the transaction timeout in seconds.
`void` | `setAbandonTimeoutSeconds(int timeout)` Sets the transaction abandon timeout in seconds.
`void` | `setBeforeCompletionIterationLimit(int iterations)` Sets the maximum number of cycles the transaction manager will perform the beforeCompletion synchronization callback.
`void` | `setForgetHeuristics(boolean forget)` Sets a boolean to indicate whether the transaction manager will automatically perform an XA Resource forget operation for all resources reporting a heuristic decision.
`void` | `setMaxTransactions(int max)` Sets the maximum number of simultaneous in progress transactions allowed on a server.
`void` | `setMaxUniqueNameStatistics(int max)` Sets the maximum number of unique transaction names for which statistics will be maintained.
`void` | `setTimeoutSeconds(int timeout)` Sets the transaction timeout in seconds.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTimeoutSeconds

    public int getTimeoutSeconds()

  Returns the transaction timeout in seconds.

  Default Value: 30
  Returns:
    Transaction timeout in seconds.

### setTimeoutSeconds

    public void setTimeoutSeconds(int timeout)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Sets the transaction timeout in seconds.

  A dynamic MBean attribute
  Legal Value: value > 0
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `timeout` - Transaction timeout in seconds.

### getAbandonTimeoutSeconds

    public int getAbandonTimeoutSeconds()

  Returns the transaction abandon timeout in seconds.

  Default Value: 86400
  Returns:
    Abandon timeout in seconds. Default is 24 hours.

### setAbandonTimeoutSeconds

    public void setAbandonTimeoutSeconds(int timeout)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Sets the transaction abandon timeout in seconds.

  A dynamic MBean attribute
  Legal Value: value > 0
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `timeout` - Abandon timeout in seconds.

### getForgetHeuristics

    public boolean getForgetHeuristics()

  Returns a boolean indicating whether the transaction manager will automatically perform an XAResource forget operation for transaction heuristic completions.

  Default Value: true
  Returns:
    true if heuristic transactions are to be forgotten in affected resource managers, false otherwise.

### setForgetHeuristics

    public void setForgetHeuristics(boolean forget)
                             throws javax.management.InvalidAttributeValueException,
                                    DistributedManagementException

  Sets a boolean to indicate whether the transaction manager will automatically perform an XA Resource forget operation for all resources reporting a heuristic decision.

  A dynamic MBean attribute
  Parameters:
    `forget` - Whether or not to forget heuristic transactions in affected resource managers.

### getBeforeCompletionIterationLimit

    public int getBeforeCompletionIterationLimit()

  Returns the maximum number of iterations the transaction manager will perform the beforeCompletion synchronization callback.

  Default Value: 10
  Returns:
    The maximum beforeCompletion iterations

### setBeforeCompletionIterationLimit

    public void setBeforeCompletionIterationLimit(int iterations)
                                           throws javax.management.InvalidAttributeValueException,
                                                  DistributedManagementException

  Sets the maximum number of cycles the transaction manager will perform the beforeCompletion synchronization callback.

  A dynamic MBean attribute
  Legal Value: value > 0
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `iterations` - The maximum number of beforeCompletion iterations among registered objects.

### getMaxTransactions

    public int getMaxTransactions()

  Returns the maximum number of simultaneous in progress transactions allowed on a server.

  Default Value: 10000
  Returns:
    The maximum number of concurrent transactions.

### setMaxTransactions

    public void setMaxTransactions(int max)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Sets the maximum number of simultaneous in progress transactions allowed on a server.

  A dynamic MBean attribute
  Legal Value: value > 0
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `max` - The maximum number of concurrent transactions.

### getMaxUniqueNameStatistics

    public int getMaxUniqueNameStatistics()

  Returns the maximum number of unique transaction names for which statistics will be maintained.

  Default Value: 1000
  Returns:
    Limit of individual transaction name statistics.

### setMaxUniqueNameStatistics

    public void setMaxUniqueNameStatistics(int max)
                                    throws javax.management.InvalidAttributeValueException,
                                           DistributedManagementException

  Sets the maximum number of unique transaction names for which statistics will be maintained.

  A dynamic MBean attribute
  Legal Value: value >= 0
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `max` - Limit of individual transaction name statistics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD